
%define debug_package %{nil}
Name:    tezos-baker-PtParisB
Version: 20.0rc1
Release: 1
Epoch: 1
Summary: Daemon for baking
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-baker-PtParisB-20.0rc1.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v20.0-rc1/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , tezos-sapling-params, tezos-client, acl, udev
%description
Daemon for baking
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-baker-PtParisB
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-baker-PtParisB %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-baker-PtParisB %{buildroot}/%{_bindir}/tezos-baker-PtParisB



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-baker-ptparisb.service %{buildroot}/%{_unitdir}
install -m 644 tezos-baker-ptparisb@.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-baker-ptparisb.default %{buildroot}/%{_sysconfdir}/default/tezos-baker-ptparisb

install -m 0755 tezos-baker-ptparisb-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-baker-PtParisB
%{_bindir}/tezos-baker-PtParisB

%{_bindir}/tezos-baker-ptparisb-start

%{_unitdir}/tezos-baker-ptparisb.service
%{_unitdir}/tezos-baker-ptparisb@.service

%{_sysconfdir}/default/tezos-baker-ptparisb



%post
%systemd_post tezos-baker-ptparisb.service
%systemd_post tezos-baker-ptparisb@.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-baker-ptparisb.service
%systemd_preun tezos-baker-ptparisb@.service


%postun
%systemd_postun_with_restart tezos-baker-ptparisb.service
%systemd_postun_with_restart tezos-baker-ptparisb@.service



